## fparser 0.0.16

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
# Modified work Copyright (c) 2017 Science and Technology Facilities Council
# Original work Copyright (c) 1999-2008 Pearu Peterson

# All rights reserved.

# Modifications made as part of the fparser project are distributed
# under the following license:

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:

# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.

# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.

# 3. Neither the name of the copyright holder nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# --------------------------------------------------------------------

# The original software (in the f2py project) was distributed under
# the following license:

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:

#   a. Redistributions of source code must retain the above copyright notice,
#      this list of conditions and the following disclaimer.
#   b. Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#   c. Neither the name of the F2PY project nor the names of its
#      contributors may be used to endorse or promote products derived from
#      this software without specific prior written permission.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fparser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fparser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fparser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fparser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## fparser 0.0.8

=== debian/changelog ===
fparser (0.0.8-2) unstable; urgency=medium

  * Ensure py2/py3 compatible. Closes: #915745

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Dec 2018 14:00:41 +0000

fparser (0.0.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Dec 2018 04:51:33 +0000

fparser (0.0.7-1) unstable; urgency=medium

  [ Alastair McKinstry ] 
  * New upstream release
  * Standards-Version: 4.1.4

  [ Ondřej Nový ] 
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add Vcs-* field
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Apr 2018 16:12:01 +0100

fparser (0.0.6-1) unstable; urgency=medium

  * New upstream release
   - Python3.patch: now supported upstream
  * Standards-Version: 4.1.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Dec 2017 12:47:15 +0000

fparser (0.0.5-2) unstable; urgency=medium

  * Add python3 support
  * Add dependencies on python*-six for python3 support
  * Add link to Git rep to debian/control
  * Change Arch from any to all
  * Add Vcs-Git: to  debian repo

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 29 Jul 2017 09:14:41 +0100

fparser (0.0.5-1) unstable; urgency=medium

  * New upstream release
  * Add watch file
  * Standards-Version: 4.0.0; no changes required
  * Add gbp.conf file
  * Drop unnecessary ${shlibs:Depends}; Add B-D on setuptools

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Jul 2017 13:50:31 +0100

fparser (0.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #864778)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Jun 2017 15:09:08 +0100

=== debian/control ===
Source: fparser
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10),
 python-all,
 dh-python,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-six,
 python3-six
Standards-Version: 4.2.1
Homepage: https://github.com/stfc/fparser
Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser

Package: python-fparser
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python Parser for the Fortran language
 The fparser package is a Python implementation of a Fortran 66/77/90/95/2003
 language parser. Currently fparser actually includes two different
 implementations; the first, “fparser”, supports Fortran 66/77/90 (plus some
 extensions — see fparser) but only parses down to the level of individual
 lines of code, i.e. not the content of the Fortran expressions themselves.
 The second, “fparser2”, also has support for Fortran 2003 and is able to parse
 Fortran expressions. It is however, less mature than fparser.

Package: python3-fparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 Parser for the Fortran language
 The fparser package is a Python implementation of a Fortran 66/77/90/95/2003
 language parser. Currently fparser actually includes two different
 implementations; the first, “fparser”, supports Fortran 66/77/90 (plus some
 extensions — see fparser) but only parses down to the level of individual
 lines of code, i.e. not the content of the Fortran expressions themselves.
 The second, “fparser2”, also has support for Fortran 2003 and is able to parse
 Fortran expressions. It is however, less mature than fparser.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python2 setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/python-fparser
	set -e && for py3vers in $(shell py3versions -sv); do \
	  python$$py3vers setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/python3-fparser; \
	  done
	-find . -name __pycache__ -exec rm -rf {} \;


override_dh_auto_clean:
	# dh_auto_clean avoid bug where this calls python, not python3
	python3 setup.py clean
	rm -fr build src/fparser.egg-info

## fparser 0.0.10

=== debian/changelog ===
fparser (0.0.10-2) unstable; urgency=medium

  * Upload source-only

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Feb 2020 13:19:52 +0000

fparser (0.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Nov 2019 09:39:33 +0000

fparser (0.0.9-1) unstable; urgency=medium

  * New upstream release
  * Python3 patch no longer needed
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Nov 2019 13:17:55 +0000

fparser (0.0.8-3) unstable; urgency=medium

  * Drop python-fparser for python2 transition. Closes: #936547
  * Standards-Version: 4.4.0
  * Move to debhelpe-compat (= 12)
  * Use pybuild buildsystem for debhelper 12
  * Add B-D on python3-pytest
  * Ignore test failures for this release.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 20:51:42 +0100

=== debian/control ===
Source: fparser
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-six
Standards-Version: 4.4.1.0
Homepage: https://github.com/stfc/fparser
Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser

Package: python3-fparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 Parser for the Fortran language
 The fparser package is a Python implementation of a Fortran 66/77/90/95/2003
 language parser. Currently fparser actually includes two different
 implementations; the first, “fparser”, supports Fortran 66/77/90 (plus some
 extensions — see fparser) but only parses down to the level of individual
 lines of code, i.e. not the content of the Fortran expressions themselves.
 The second, “fparser2”, also has support for Fortran 2003 and is able to parse
 Fortran expressions. It is however, less mature than fparser.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	set -e && for py3vers in $(shell py3versions -sv); do \
	  python$$py3vers setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/python3-fparser; \
	  done
	-find . -name __pycache__ -exec rm -rf {} \;


override_dh_auto_test:
	@echo "Some tests currently fail; ignore for this release"

override_dh_auto_clean:
	# dh_auto_clean avoid bug where this calls python, not python3
	python3 setup.py clean
	rm -fr build src/fparser.egg-info

## fparser 0.0.11

=== debian/changelog ===
fparser (0.0.11-2) unstable; urgency=medium

  * Source build for python3.9 transition. Closes: #976474
  * Build once for python3, not every subversion
  * Standards-Version: 4.5.1
  * Debhelper level 13
  * Move to DEP-14 branch names; change vcs-git to point to debian/latest
  * Update d/gbp.conf to point to new branch names

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Dec 2020 10:35:15 +0000

fparser (0.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2020 17:22:10 +0100

fparser (0.0.10-3) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3
  * Rebuild to undo python3.7 as dependency. Closes: #956692

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Apr 2020 15:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-pytest,
  python3-setuptools,
  python3-six
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/stfc/fparser
-Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser
 
 Package: python3-fparser

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,13 @@
 
 # magic debhelper rule
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
+
+# PYVERS=$(shell py3versions -sv)
+PYVERS:= 3
 
 override_dh_auto_install:
-	set -e && for py3vers in $(shell py3versions -sv); do \
+	set -e && for py3vers in $(PYVERS) ; do \
 	  python$$py3vers setup.py install --install-layout=deb \
 	    --root $(CURDIR)/debian/python3-fparser; \
 	  done

## fparser 0.0.16

=== debian/changelog ===
fparser (0.0.16-2) unstable; urgency=medium

  * Changes to d/rules from Sebastian Ramacher to build on all pyvers
    Closes: #1030268

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Feb 2023 12:27:35 +0000

fparser (0.0.16-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2022 09:53:09 +0100

fparser (0.0.15-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jun 2022 08:57:16 +0100

fparser (0.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Mar 2022 07:38:21 +0000

fparser (0.0.13-1) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Nov 2021 15:02:12 +0000

fparser (0.0.12-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 May 2021 15:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-pytest,
  python3-setuptools,
  python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/stfc/fparser
 Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@  --buildsystem=pybuild

override_dh_auto_test:
	@echo "Some tests currently fail; ignore for this release"

override_dh_auto_clean:
	rm -fr build src/fparser.egg-info

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/stfc/fparser/tags .*/(\d\S+)\.tar\.gz

## fparser 0.1.4

=== example/Makefile ===
# -----------------------------------------------------------------------------
# BSD 3-Clause License
#
# Copyright (c) 2020, Science and Technology Facilities Council.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived from
#   this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
# ------------------------------------------------------------------------------
# Author: J. Henrichs, Bureau of Meteorology

.PHONY: test create_dependency fparser2_f2008

test:  create_dependency fparser2_f2008

create_dependency:
	(cd test_files; ../create_dependencies.py *.f90)

fparser2_f2008:
	python ./fparser2_f2008.py

=== debian/changelog ===
fparser (0.1.4-3) unstable; urgency=medium

  * Remove obsolete dep. on python-six. Closes: #1064570

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Feb 2024 06:54:57 +0000

fparser (0.1.4-2) unstable; urgency=medium

  * Fix error due to broken commit

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2024 11:15:49 +0000

fparser (0.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Feb 2024 22:02:44 +0000

fparser (0.1.3-1) unstable; urgency=medium

  * New upstream release
  * Enable build-twice. Closes: #1044690

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Sep 2023 08:14:32 +0100

fparser (0.1.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * Add build-dep on python3-setuptools-scm

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 10:53:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  python3-all,
  python3-pytest,
  python3-setuptools,
- python3-six
-Standards-Version: 4.6.1
+ python3-setuptools-scm
+Standards-Version: 4.6.2
 Homepage: https://github.com/stfc/fparser
 Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser

## fparser 0.2.0

=== debian/changelog ===
fparser (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * commit-fix.patch: fixed upstream
  * Update d/watch file
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Aug 2025 09:17:19 +0100

fparser (0.1.4-4) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Drop Provides:{python3:Provides); not used
  * Fix SyntaxWarnings. Closes: #1085582

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2024 08:36:22 +0100

## fparser 0.2.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Target that removes all generated files
allclean: clean
	@echo "Removing everything under 'source/autoapi'..."
	@rm -rf ./source/autoapi/*
	@echo "Removing everything under 'source/doxygen'..."
	@rm -rf ./source/doxygen/*

=== example/Makefile ===
--- 
+++ 
@@ -33,12 +33,25 @@
 # ------------------------------------------------------------------------------
 # Author: J. Henrichs, Bureau of Meteorology
 
-.PHONY: test create_dependency fparser2_f2008
+# A simple Makefile driver to test the various examples.
 
-test:  create_dependency fparser2_f2008
 
-create_dependency:
-	(cd test_files; ../create_dependencies.py *.f90)
+.PHONY: test create_dependency fparser2_f2008 make_public split_file
+
+test:  create_dependencies fparser2_f2008 make_public split_file
+
+create_dependencies:
+	(cd test_files/create_dependencies; \
+	 ../../create_dependencies.py *.f90 | diff correct_dependencies -)
 
 fparser2_f2008:
 	python ./fparser2_f2008.py
+
+make_public:
+	./make_public.py test_files/make_public.f90 | diff test_files/make_public_correct.f90 -
+
+split_file:
+	(cd test_files/split_file; \
+		rm -f Makefile func.f90 mod1.f90 sub.f90 test_prog.f90; \
+		../../split_file.py test.f90; \
+		cat mod1.f90 sub.f90 func.f90 test_prog.f90 | diff -B test.f90 -)

=== debian/changelog ===
fparser (0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Oct 2025 09:37:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/stfc/fparser
 Vcs-Git: https://salsa.debian.org/python-team/modules/fparser.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/python-team/modules/fparser
@@ -16,7 +16,6 @@
 Package: python3-fparser
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Provides: ${python3:Provides}
 Description: Python3 Parser for the Fortran language
  The fparser package is a Python implementation of a Fortran 66/77/90/95/2003
  language parser. Currently fparser actually includes two different

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 override_dh_auto_clean:
 	rm -fr build src/fparser.egg-info
+	rm -rf .pybuild src/fparser/_version.py

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/stfc/fparser/tags .*/v(\d\S+)\.tar\.gz

## fparser 4.3

=== debian/changelog ===
fparser (4.3-3) unstable; urgency=low

  * Removed symbols file (arch-dependant FTBFS)

 -- Scott Howard <showard@debian.org>  Tue, 12 Apr 2011 21:44:33 -0400

fparser (4.3-2) unstable; urgency=low

  * fixed typo in fparser.pc.in
  * removed .la files from libfparser-dev
  * source package priority set to optional (no change to binary packages)

 -- Scott Howard <showard@debian.org>  Thu, 07 Apr 2011 21:19:16 -0400

fparser (4.3-1) unstable; urgency=low

  * Initial release (Closes: #617197)

 -- Scott Howard <showard@debian.org>  Mon, 07 Mar 2011 22:59:34 -0500

=== debian/control ===
Source: fparser
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://warp.povusers.org/FunctionParser/
Vcs-Git: git://git.debian.org/debian-science/packages/fparser.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/fparser.git

Package: libfparser-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: libfparser-4.3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the fparser library
 This C++ library offers a class which can be used to parse and evaluate a
 mathematical function from a string (which might be eg. requested from the
 user). The syntax of the function string is similar to mathematical
 expressions written in C/C++ (the exact syntax is specified later in this
 document). The function can then be evaluated with different values of
 variables.
 .
 For example, a function like "sin(sqrt(x*x+y*y))" can be parsed from a
 string (either std::string or a C-style string) and then evaluated with
 different values of x and y. This library can be useful for evaluating
 user-inputted functions, or in some cases interpreting mathematical
 expressions in a scripting language.
 .
 This package contains the development files (headers and documentation) for
 libfparser.

Package: libfparser-4.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to evaluate strings as mathematical functions
 This C++ library offers a class which can be used to parse and evaluate a
 mathematical function from a string (which might be eg. requested from the
 user). The syntax of the function string is similar to mathematical
 expressions written in C/C++ (the exact syntax is specified later in this
 document). The function can then be evaluated with different values of
 variables.
 .
 For example, a function like "sin(sqrt(x*x+y*y))" can be parsed from a
 string (either std::string or a C-style string) and then evaluated with
 different values of x and y. This library can be useful for evaluating
 user-inputted functions, or in some cases interpreting mathematical
 expressions in a scripting language.

Package: libfparser-4.3-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libfparser-4.3 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the fparser library
 This C++ library offers a class which can be used to parse and evaluate a
 mathematical function from a string (which might be eg. requested from the
 user). The syntax of the function string is similar to mathematical
 expressions written in C/C++ (the exact syntax is specified later in this
 document). The function can then be evaluated with different values of
 variables.
 .
 For example, a function like "sin(sqrt(x*x+y*y))" can be parsed from a
 string (either std::string or a C-style string) and then evaluated with
 different values of x and y. This library can be useful for evaluating
 user-inputted functions, or in some cases interpreting mathematical
 expressions in a scripting language.
 .
 This package contains the debugging symbols for libfparser.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libfparser-4.3-dbg

get-orig-source:
	uscan --download-current-version --repack

=== debian/watch ===
version=3

http://warp.povusers.org/FunctionParser/ \
  fparser(.*)\.(.*)\.zip
